#include "../../internal-include/CD/cd_internal.hpp"
#include <PSX/Audio/CDXA.hpp>

namespace JabyEngine {
    namespace CDXA {
        namespace CD = JabyEngine::CD::internal;

        void play(const volatile AutoLBAEntry* lba, uint8_t rel_lba_idx, uint8_t channel, bool double_speed) {
            CD::enable_CDXA(double_speed);
            CD::read_xa(lba[rel_lba_idx].get_lba(), channel);
        }

        void stop() {
            CD::pause();
        }

        void set_channel(uint8_t channel) {
            //CD::Command::send<CD_IO::PortIndex0>(CD_IO::Command::Filter, File, channel);
        }

        void push_play() {
            /*stop();
            last_track = CD::get_lock();*/
        }

        void pop_play() {
            /*CD::Command::wait_completed();
            CD::enable_CDDA(); // < Command waits
            CD::Command::send_wait<CD_IO::PortIndex0>(CD_IO::Command::SetLoc, last_track.min, last_track.sec, last_track.sector);
            CD::Command::send<CD_IO::PortIndex0>(CD_IO::Command::Play);*/
        }
    }
}